@import '~@angular/material/theming';
/**********/
/* COLORS */
/**********/

/* BLUE */
$blue-light: #558CC9;
$blue: #3574B9;
$blue-dark: #145CAD;


/* CYAN */
$cyan-light: #6bc9ed;
$cyan: #08a5e1;
$cyan-dark: #056083;

/* ORANGE */
$orange-light: #F7D288;
$orange: #FFB317;
$orange-dark: #D28D00;

/* GREEN */
$green-light: #65EE1B;
$green: #42A50C;
$green-dark: #2D7209;
$green-prt: #47d147;

/* PURPLE */
$purple-light: #aa71aa;
$purple: #711371;
$purple-dark: #420b42;
$purple-primary: #3f51b5;

/* PINK */
$pink: #FF0266;

/* RED */
$red-light: #E69E9E;
$red: #CD4140;
$red-dark: #721D1D;

/* YELLOW */
$yellow-light: #fff98d;
$yellow: #ffed45;
$yellow-dark: #ffcf45;

/* GRAYS */
$white: #ffffff;
$off-white: #f5f5f5;
$gray-lightest: #e9e9e9;
$gray-lighter: #d4d4d4;
$gray-smg: #cccccc;
$gray-light: #bcbcbc;
$gray: #868686;
$gray-dark: #575757;
$gray-darker: #414141;
$gray-darkest: #2b2b2b;
$black: #141414;
$true-black: #000000;
$grey-lgt:#d6d6d6;
$black-light:#222222;

/*********/
/* FONTS */
/*********/

$brand-font-family: "Lato", "Helvetica Neue", Helvetica, Arial, sans-serif;
$serif-font-family:  Georgia, serif;
$mono-font-family: Inconsolata, Consolas, monospace;
$sans-font-family: "Lato", "Helvetica Neue", Helvetica, Arial, sans-serif;

/*********************/
/* APP CONFIGURATION */
/*********************/

$primary-text-color: $black;
$alternate-text-color: $white;

$primary-theme-color-lightest: #80ACDD;
$primary-theme-color-light: $blue-light;
$primary-theme-color: $blue;
$primary-theme-color-dark: $blue-dark;
$primary-theme-color-darkest: #0A4484;

$secondary-theme-color-lightest: $off-white;
$secondary-theme-color-light: $gray-lightest;
$secondary-theme-color: $gray-lighter;
$secondary-theme-color-dark: $gray-light;
$secondary-theme-color-darkest: $gray;

$accent-color-lightest: #EFDAB1;
$accent-color-light: $orange-light;
$accent-color: $orange;
$accent-color-dark: $orange-dark;
$accent-color-darkest: #7C5C1B;

$stripped-list-header: $secondary-theme-color-light;
$stripped-list-dark: $secondary-theme-color-lightest;
$stripped-list-light: $secondary-theme-color-lightest;

$header-background-color: shade($primary-theme-color, 15%);
$header-text-color: #ffffff;

$heading-font-family: $brand-font-family;
$content-font-family: $brand-font-family;

$controls-border-radius: 0;

$shadow-color: rgba($true-black, 0.22);
$shadow: 0 2px 4px 0 #{$shadow-color};
$inset-shadow: inset 0 2px 3px #{$shadow-color};

$input-text-color: black;

$layer-0: 0;
$layer-1: 9;
$layer-2: 99;
$layer-3: 999;
$layer-4: 9999;
$layer-5: 99999;